.carousel-components {
    width: 100%;
    margin-bottom: 30px;

    .ant-carousel .slick-prev {
        left: 0px;
    }

    .ant-carousel .slick-next {
        right: 5px;
    }

    .ant-carousel .slick-prev,
    .ant-carousel .slick-next {
        transition: opacity 0.2s;
        color: black;
        font-size: 1.5rem;
        z-index: 20;

        &.arrow-disabled {
            opacity: 0.2;
            cursor: unset;
        }

        &:hover {
            color: black;
            outline: none;
        }
    }

    .carousel-header {
        font-weight: 700;
    }

    .header-left {
        .badge {
            height: 20px;
            line-height: 1.2;
            position: relative;
            display: inline-block;

            svg {
                margin-top: 2px;
            }

            > span {
                z-index: 3;
                padding: 4px;
                color: #ffffff;
                height: inherit;
                min-width: 20px;
                font-size: 10px;
                display: inherit;
                text-align: center;
                position: relative;
                border-radius: 10px;
                background-color: #3555f9;
            }

            &:after {
                top: 0;
                right: -3px;
                width: 17px;
                content: "";
                height: 17px;
                position: absolute;
                background-image: url("./badge.svg");
            }
        }

        .caption {
            padding: 3px 17px 3px 12px;
        }
    }

    .ant-carousel {
        margin-top: 10px;

        .slick-slide {
            padding: 10px;
            text-align: left;
            pointer-events: auto;
        }

        .slick-list {
            margin-left: -10px;
            margin-right: -10px;
        }
    }

    .carousel-empty {
        display: flex;
        color: #87898a;
        font-weight: 600;
        min-height: 140px;
        border-radius: 4px;
        align-items: center;
        flex-direction: column;
        justify-content: center;
        border: 1px solid #e7eaef;

        img {
            width: 60px;
            height: 46px;
        }

        .ant-empty-image {
            height: auto;
        }
    }
}

.detail-todo-carousel-components {
    @media screen and (max-width: 991px) {
        width: 95vw !important;
        margin: 0 auto !important;

        .ant-card-head-wrapper {
            flex-wrap: wrap;

            .ant-card-head-title {
                flex: 1 auto;
            }
        }
    }

    .ant-card-head-title {
        white-space: pre-line;
    }

    .ant-modal-body {
        padding: 0;
    }

    &.todo-container {
        .todo-card-group {
            padding: 10px;
            border: 0;

            .todo-post-copy-content {
                border: 0;
                font-weight: bold;
                height: 26px !important;
            }

            .assignment-content-to-post {
                display: flex;
                height: initial;
                flex-wrap: wrap;
                min-height: 100px;
            }

            .assignment-review-media-item {
                width: 85px;
                padding: 5px;
                box-sizing: content-box;

                > div {
                    display: flex;
                    flex-direction: column;
                }

                &:hover {
                    > div {
                        transition: all 0.2s;
                        transform: translateY(-1.2px);
                        box-shadow: 0 7px 25px 0 rgba(51, 64, 86, 0.2);
                    }
                }
            }

            a.ant-btn {
                width: 85px;
                height: 20px;
                padding: 0 10px;
                font-size: 12px;
                border-radius: 0;
                line-height: 1.5;
            }
        }

        .ant-card-head {
            padding: 0 20px;
        }

        .ant-card-body {
            padding: 20px;
        }
    }
}

.post-instagram-success-container {
    .success-paragraph-wrapper {
        line-height: 30px;
    }

    .success-modal-description {
        max-width: 500px;
        margin: 0 auto;
    }

    .text-bold {
        font-size: 18px;
    }
}
